open Arbres_naifs
open Dessin.Naif
open Graphics

let construire liste = List.fold_left (fun a x -> inserer x 0 a) vide liste

let arbre1 = construire [18]
and arbre2 = construire [18; 98]
and arbre3 = construire [18; 98; 51]
and arbre4 = construire [18; 51; 98]
and arbre5 = construire [51; 18; 98]
and arbre6 = construire [51; 18; 98; 70]
and arbre7 = construire [51; 18; 98; 70; 62]
and arbre8 = construire [51; 18; 70; 62; 98] ;;

let fleche x y dx dy =
  draw_segments [| (x, y, x+dx, y+dy); (x, y, x+dx, y-dy) |] ;;
  

open_graph " 490x580" ;;
set_font "Courier-Bold" ;;
set_text_size 16 ;;

dessiner 60 16  94 560 arbre1 ;;
dessiner 60 16 260 560 arbre2 ;;
dessiner 60 16 390 560 arbre3 ;;
dessiner 60 16 390 380 arbre4 ;;
dessiner 60 16 260 380 arbre5 ;;
dessiner 60 16  94 380 arbre6 ;;
dessiner 60 16  94 200 arbre7 ;;
dessiner 60 16 260 200 arbre8 ;;

draw_segments
  [| (124, 560, 230, 560);
     (290, 560, 360, 560);
     (124, 380, 230, 380);
     (290, 380, 360, 380);
     (124, 200, 230, 200);
     (420, 560, 480, 560);
     (480, 560, 480, 380);
     (480, 380, 420, 380);
     ( 64, 380,  10, 380);
     ( 10, 380,  10, 200);
     ( 10, 200,  64, 200)
|] ;;

fleche 230 560 (-8) 5 ;;
fleche 360 560 (-8) 5 ;;
fleche 420 380 ( 8) 5 ;;
fleche 124 380 ( 8) 5 ;;
fleche 290 380 ( 8) 5 ;;
fleche  64 200 (-8) 5 ;;
fleche 230 200 (-8) 5 ;;
