(** Dessin d'arbres *)

module type TDessineur = sig
  type 'a t
  val dessiner : int -> int -> int -> int -> 'a t -> unit
  val dessiner_std : 'a t -> unit
  val calculer_dim : 'a t -> int * int
end

module Naif : TDessineur with type 'a t = 'a Arbres_naifs.t
module AVL : TDessineur with type 'a t = 'a Arbres_avl.t
module RN : TDessineur with type 'a t = 'a Arbres_rn.t
