#!/bin/bash

small_test () {
    echo Test $2
    export RANDOM_SEED=$3
    time ./stdbench_naifs.opt >> $1
    time ./stdbench_avl.opt >> $1
    AVL_MAX_DIFF=2 time ./stdbench_avl.opt >> $1
    time ./stdbench_rn.opt >> $1
}

round_test () {
    small_test $1 $2.1 18
    small_test $1 $2.2 2703
    small_test $1 $2.3 953815
}

echo "ARBRES ALEATOIRES" > $1

export NB_NOEUDS=1000000 MAX_INT=64000 NB_WORK=4000
round_test $1 1

export NB_NOEUDS=2000000 MAX_INT=128000 NB_WORK=8000
round_test $1 2

export NB_NOEUDS=4000000 MAX_INT=256000 NB_WORK=16000
round_test $1 3
