(** Interface pour les arbres *)

type clef = int
type 'a t

val vide : 'a t

val gauche : 'a t -> 'a t
val droite : 'a t -> 'a t
val clef : 'a t -> clef
val dcolor : 'a array -> 'b t -> 'a

val verifier : 'a t -> int * int
val rechercher : clef -> 'a t -> 'a
val inserer : clef -> 'a -> 'a t -> 'a t
val supprimer : clef -> 'a t -> 'a t
